# React Refine Number

> Refine a number in React and React Native `1000000.99` → `1,000,000.99`

[![CI](https://github.com/yohix/react-refine-number/workflows/CI/badge.svg)](https://github.com/yohix/react-refine-number/actions)
[![Version](http://img.shields.io/npm/v/react-refine-number.svg?style=flat)](https://badge.fury.io/js/react-refine-number)
[![Downloads](https://img.shields.io/npm/dm/react-refine-number.svg)](https://npmjs.com/react-refine-number)
[![Install size](https://badgen.net/packagephobia/install/react-refine-number)](https://packagephobia.now.sh/result?p=react-refine-number)

[![NPM](https://nodei.co/npm/react-refine-number.png?downloads=true)](https://nodei.co/npm/react-refine-number)

## Try in CodeSandbox

[![Edit react-camelcase](https://codesandbox.io/static/img/play-codesandbox.svg)](https://codesandbox.io/s/react-refine-number-fvdx6?fontsize=14&hidenavigation=1&theme=dark)

## Install

```
$ npm install react-refine-number
```

## Usage

```js
import RefineNumber from 'react-refine-number';

const App = () => (
  <div>
    <RefineNumber number={1000.55} options={{ delimiter: '.', separator: ',' }} />
  </div>
);

// => '1.000,55'
```

## API

### number={input}

Type: `integer`

```jsx
<RefineNumber number={1000} />

// => '1,000'
```

### options={object}

Type: `object`

```jsx
<RefineNumber number={1000.55} options={{ delimiter: '.', separator: ',' }} />

// => '1.000,55'
```

## License

MIT © [Yohix](LICENSE)
